Subject: bug#26668: closed (Re: bug#26668: 11.90.2; separator in the toolbar remains vertical when I display toolbar on the left or right)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Apr 2017 11:21:01 +0000

Your bug report

#26668: 11.90.2; separator in the toolbar remains vertical when I display toolbar on the left or right

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26668: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26668
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26668: 11.90.2; separator in the toolbar remains vertical when I display toolbar on the left or right
From: Arash Esbati <[email-masked]>
To: Sureyya Sahin <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Apr 2017 13:20:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Sureyya Sahin <[email-masked]> writes:

> On Sat, 2017-04-29 at 07:34 +0200, Arash Esbati wrote:
>>
>> You can try this: Do `M-x customize-variable TeX-bar-LaTeX-buttons RET',
>> deselect `[separator nil]', save your changes, restart Emacs and try it
>> again.
>
> Then, I restarted emacs, enabled the tool-bar-mode and switched to
> latex-mode. Then, I issued the `M-x customize-variable
> TeX-bar-LaTeX-buttons RET', but it gave me the error for not being able
> to find the command.

Yes, sorry, my bad.  Of course I meant

`M-x customize-variable RET TeX-bar-LaTeX-buttons RET'

> I experimented a bit and figured the following works:
>
> 'M-x customize-variable RET TeX-bar-TeX-buttons RET'

I haven't tried it, but from the docstrings, I would have expected that
`TeX-bar-LaTeX-buttons' is the one to customize.

> Then, I deselected the `[separator nil]' thick box as you suggested and
> then I pressed 'Apply and Save' button. Restarting the emacs with
> latex-mode and enabling tool-bar-mode (I disable it by default to gain
> screen space), I can confirm that the vertical separator button has
> gone.
>
> I guess this is the workaround I was hoping to find; thank you so much
> for the help, I appreciate this.

You're welcome.  I'm glad you have it solved.  I close this report.

Best, Arash

Subject: 11.90.2; separator in the toolbar remains vertical when I display toolbar on the left or right
From: Sureyya Sahin <[email-masked]>
To: [email-masked]
Date: Wed, 26 Apr 2017 10:06:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Remember to cover the basics, that is, what you expected to happen and
what in fact did happen.

Be sure to consult the FAQ section in the manual before submitting
a bug report.  In addition check if the bug is reproducable with an
up-to-date version of AUCTeX.  So please upgrade to the version
available from http://www.gnu.org/software/auctex/ if your
installation is older than the one available from the web site.

If the bug is triggered by a specific (La)TeX file, you should try
to produce a minimal sample file showing the problem and include it
in your report.

Your report will be posted for the auctex package at the GNU bug
tracker.  Visit http://debbugs.gnu.org/cgi/pkgreport.cgi?pkg=auctex
to browse existing AUCTeX bugs.
------------------------------------------------------------------------

With latex-mode enabled (auctex), when I choose to display the toolbar
on the left side (or right side) vertically in emacs, the separator line
which separates the latex and preview buttons does not transform to
horizontal configuration. So, it remains vertical and occupy too much of
space; please also see the attached screenshot of the toolbar.

Emacs  : GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.13)
 of 2017-04-23
Package: 11.90.2

current state:
==============
(setq
 AUCTeX-date "2017-04-21"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex"
		  "/home/ssahin/.emacs.d/elpa/auctex-11.90.2/style"
		  "/home/ssahin/.emacs.d/auctex/auto"
		  "/home/ssahin/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX"
		     "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t"
		     TeX-run-TeX nil
		     (plain-tex-mode ams-tex-mode texinfo-mode) :help
		     "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil
		     (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %t"
		     TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
		     TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with HTML output")
		    ("AmSTeX"
		     "amstex %(PDFout) %(extraopts) %`%S%(mode)%' %t"
		     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt"
		     "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt once")
		    ("ConTeXt Full"
		     "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX
		     nil (context-mode) :help
		     "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help
		     "Run BibTeX")
		    ("Biber" "biber %s" TeX-run-Biber nil t :help
		     "Run Biber")
		    ("View" "%V" TeX-run-discard-or-function t t :help
		     "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help
		     "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help
		     "View the printer queue" :visible TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t
		     :help "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t
		     :help "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t
		     :help "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
		     "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %s" TeX-run-command
		     nil t :help
		     "Run makeglossaries to create glossary file")
		    ("Index" "makeindex %s" TeX-run-index nil t :help
		     "Run makeindex to create index file")
		    ("upMendex" "upmendex %s" TeX-run-index t t :help
		     "Run mendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil t :help
		     "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil
		     (latex-mode) :help
		     "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil
		     (latex-mode) :help
		     "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")"
		     TeX-run-function nil t :help
		     "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t
		     :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help
		     "Run an arbitrary command")
		    )
 )